public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/speaklater/
Date: Wed, 24 Jun 2020 07:07:15 +0000 (UTC)	[thread overview]
Message-ID: <1592982414.c0fb36da90c74bd40669ab6c56cb7355dcc78b56.mgorny@gentoo> (raw)

commit:     c0fb36da90c74bd40669ab6c56cb7355dcc78b56
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 24 06:03:30 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 24 07:06:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0fb36da

dev-python/speaklater: Simplify as py3-only

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/speaklater/speaklater-1.3-r1.ebuild | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

diff --git a/dev-python/speaklater/speaklater-1.3-r1.ebuild b/dev-python/speaklater/speaklater-1.3-r1.ebuild
index 7f011159077..d7bee32595a 100644
--- a/dev-python/speaklater/speaklater-1.3-r1.ebuild
+++ b/dev-python/speaklater/speaklater-1.3-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python3_{6..9} pypy )
+PYTHON_COMPAT=( python3_{6..9} )
 inherit distutils-r1
 
 DESCRIPTION="Lazy strings for Python"
@@ -14,14 +14,12 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="amd64 x86"
 
-python_prepare() {
+python_configure_all() {
 	# https://github.com/mitsuhiko/speaklater/issues/2
-	if python_is_python3; then
-		2to3 -n -w --no-diffs ${PN}.py || die
-		2to3 -d -n -w --no-diffs ${PN}.py || die
-		# fix unicode in doctests
-		sed -ri "s/(^ {4}l?)u'/\1'/" ${PN}.py || die
-	fi
+	2to3 -n -w --no-diffs ${PN}.py || die
+	2to3 -d -n -w --no-diffs ${PN}.py || die
+	# fix unicode in doctests
+	sed -ri "s/(^ {4}l?)u'/\1'/" ${PN}.py || die
 }
 
 python_test() {


             reply	other threads:[~2020-06-24  7:07 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-24  7:07 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-06-22 12:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/speaklater/ Michał Górny
2022-06-22 10:16 Agostino Sarubbo
2022-06-22 10:10 Agostino Sarubbo
2022-05-21  9:09 Michał Górny
2022-03-24 22:50 Jakov Smolić
2021-06-05 18:20 Michał Górny
2020-06-24  7:07 Michał Górny
2020-02-06  6:18 Michał Górny
2019-12-01 19:27 Andreas Sturmlechner
2017-05-05 12:44 Manuel Rüger
2016-04-18  9:06 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1592982414.c0fb36da90c74bd40669ab6c56cb7355dcc78b56.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox